Subject: Re: [PATCH] status: show default branch comparison when tracking non-default branch

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Dec 2025 10:44:25 +0900

Yee Cheng Chin <[email-masked]> writes:

> I may be speaking for the author here, but I think the reason why the
> upstream discovery (or alternatively an additional configuration in
> the repo) feature was suggested is that not everyone uses the
> mechanism you described (which I think is the "pushRemote" config).

The mention of pushRemote by Harald is a red-herring.  My point is
that branch.<name>.remote tells what remote we interact with (and
pushRemote is used as a fallback), so there is no need to, and it is
actively wrong to, assume "upstream" or "origin".  Even if you push
back to the same repository as you pull from, you may push to a
different branch there, in which case you do not need pushRemote,
but you'd need to learn what configured remote you are using anyway.